package betterwithmods.common.blocks;

import betterwithmods.common.BWMBlocks;
import betterwithmods.common.blocks.mechanical.IBlockActive;
import betterwithmods.util.DirUtils;
import net.minecraft.block.Block;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemBlock;
import net.minecraft.util.EnumActionResult;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class ItemSteelSaw extends ItemBlock {

    public ItemSteelSaw(Block block) {
        super(block);
    }

    @Override
    public EnumActionResult func_180614_a(EntityPlayer player, World worldIn, BlockPos pos, EnumHand hand, EnumFacing facing, float hitX, float hitY, float hitZ) {
        IBlockState state = worldIn.func_180495_p(pos);

        if (state.func_177230_c() == BWMBlocks.STEEL_AXLE) {
            EnumFacing.Axis axis = state.func_177229_b(DirUtils.AXIS);
            worldIn.func_175656_a(pos, BWMBlocks.STEEL_SAW.func_176223_P().func_177226_a(DirUtils.AXIS,axis).func_177226_a(IBlockActive.ACTIVE,false));
            return EnumActionResult.SUCCESS;
        }
        return EnumActionResult.PASS;
    }
}
